
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>EX2010与EX2013共存迁移01-设计及说明 / 憋错料</title>

    <meta name="description" content="EX2010与EX2013共存迁移01-设计及说明 1.1共存条件说明 2013年之前发布的Exchange 2013版本是不支持共存的,只有在2013年4月2日发布的Exchange 2013 CU1版才支持共存,Exchange 2010必须为SP3版本才支持和2013共存及迁移,Exchange2003不支持和2013共存及迁移.下面是详细的共存说明: 1.2测试环境说明 1)内部域名:Beijing.local 2)公网域名:daodefangxiang.com 3)活动目录:Windows 2008 活动目录一台 4)Exchange">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">EX2010与EX2013共存迁移01-设计及说明</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>1.1共存条件说明</h2>
<p>2013年之前发布的Exchange 2013版本是不支持共存的，只有在2013年4月2日发布的Exchange 2013 CU1版才支持共存，Exchange 2010必须为SP3版本才支持和2013共存及迁移，Exchange2003不支持和2013共存及迁移。下面是详细的共存说明：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODAvNkMvd0tpb20xZEJMTm5oVzZ6NkFBQ0gxdlJtZ1BvNDc2LnBuZw==.jpg" /></p>
<h2>1.2测试环境说明</h2>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODAvNkEvd0tpb0wxZEJMbE9pZjdVd0FBSDRXNDltSXQ4ODA5LnBuZw==.jpg" /></p>
<p>1）内部域名：Beijing.local</p>
<p>2）公网域名：daodefangxiang.com</p>
<p>3）活动目录:Windows 2008 活动目录一台</p>
<p>4）Exchange 2010:Exchange 2010服务器一台</p>
<p>5）Exchange 2013：Exchange2013 CAS服务器一台、Exchange 2013 Mailbox服务器一台</p>
<p>6）测试客户端：内部测试客户端一台，公网测试客户端一台</p>
<h2>1.3测试目标</h2>
<p>1）实现Exchange 2010和Exchange 2013共存。</p>
<p>2）实现Exchange 2010和Exchange 2013数据迁移。</p>
<p>3）邮件客户端在共存和数据迁移过程中不受任何影响，保证内外邮件客户端可以正常访问邮件。</p>
<h2>1.4测试方案设计及说明</h2>
<h3><em>1.4.1&nbsp;&nbsp;&nbsp;&nbsp; </em><em>共存方案设计示意图：</em></h3>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODAvNkMvd0tpb20xZEJNREh6cmtJdkFBRGtTeWVQaU1nOTI3LnBuZw==.jpg" /></p>
<h3><em>1.4.2&nbsp; &nbsp; &nbsp;</em><em>迁移设计步骤：</em></h3>
<p>大家看见这张图一定很熟悉吧，其实这张示意图是我按照Exchange 2010升级规划图改的，只是有一点不太一样，先说下升级步骤吧。</p>
<p>步骤一：Exchange 2010升级至Exchange 2010 SP3。</p>
<p>步骤二：Exchange 2013使用CU1版本，按顺序部署Exchange 2013服务器。先安装Mailbox服务器，在安装CAS服务器。</p>
<p>步骤三：移动Internet主机名到Exchange 2013 CAS，MX记录到Exchange 2013 CAS。</p>
<p>步骤四：将邮箱移动到Exchange 2013。</p>
<p>注：在Exchange 2013升级规划过程中，Exchange2010不需要在公网上指定旧版主机名。</p>
<h3><em>1.4.3&nbsp; &nbsp; &nbsp;</em><em>共存、迁移说明</em></h3>
<p>Exchange 2010迁移到2013之前必须要做到2个版本之间的共存。Exchange共存指的就是多台不同版本的Exchange服务器加入到同一个Exchange组织，服务器之间能相互访问，共存之后才能实现邮件数据的迁移。Exchange共存最要的目的不仅局限于是邮件数据的迁移，它还可以实现不同Exchange版本之间的邮件客户端共存，举个简单的例子：客户的邮件数据量大约在2T左右，客户准备将邮件系统升级到Exchange 2013，但是我们不可能在周六、日短短2天时间迁移完所有邮件数据，如果迁移不能完成，邮件客户端势必会受到影响，所以我们在迁移之前要先实现邮件客户端的共存。</p>
<p><strong>在迁移前我们要知道些什么：</strong></p>
<p><strong>1</strong><strong>、公网A记录指向指向Exchange 2013 Cas：</strong>Exchange 2013的客户端访问服务器的功能非常类似于前门，Exchange 2013 Cas会将邮件客户端请求重定向到不同位置或运行 Exchange Server 的更新版本的更适合的客户端访问服务器。简单说，Exchange2013 Cas可以将客户端请求重定向到Exchange 2013 Mailbox或Exchange 2010 Cas，所以说Exchange 2010不需要像以前一样做公网主机名。</p>
<p><strong>2</strong><strong>、MX记录指向Exchange 2013 Cas：</strong>Exchange 2013 Cas作为组织的所有入站和出站外部 SMTP 流量的无状态代理。前端传输服务不会检查邮件内容，但是它可以基于连接、域、发件人和收件人筛选邮件。前端传输服务仅与邮箱服务器上的传输服务进行通信。也就是说，Exchange 2013 Cas可以对Exchange 2013 Mailbox、Exchange 2010 HUB的邮件做入站和出站的代理，这回大家应该知道，为什么要把MX记录指向Exchange 2013 Cas。</p>
<p><strong>3</strong><strong>、Exchange2013 OWA客户端可以自动重定向到Exchange 2010 OWA上：</strong>Exchange 2013 Cas最主要的功能就是重定向，既然它可以重定向到Exchange 2013Mailbox上，当然也可以重定向到Exchange 2010 Cas上，微软没这么弱的。</p>
<p><strong>4</strong><strong>、Exchange2013 Cas支持Exchange 2010 Outlook Anywhere客户端重定向：</strong>Exchange Cas对旧版本的Anywhere的处理，注意是重定向，不是想以前是接管，所有Exchange 2010的Anywhere功能也要开启的。</p>
<p><strong>5</strong><strong>、数据迁移后的Outlookanywhere客户端自动更新客户端配置：</strong>迁移用户邮箱胡Anywhere客户端的配置是不需要手动更改的，它会将用户配置自动更变到新服务器上，使用的技术大家一定能猜到，就是自动发现，在内部的Anywhere通过SCP进行发现，公网Anywhere通过Autodiscover进行发现。</p>
<p>注，RPC不再是受支持的直接访问协议。 这表示所有 Outlook 连接都必须使用Outlook Anywhere。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 08:46:23 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/exchange%e5%85%b1%e5%ad%98%e8%bf%81%e7%a7%bb/" title="exchange共存迁移">exchange共存迁移</a>, <a href="https://www.biecuoliao.com/tag/ex2010%e8%bf%81%e7%a7%bb%e5%88%b0ex2013%ef%bc%9b%e8%bf%81%e7%a7%bb%ef%bc%9b%e5%85%b1%e5%ad%98%e8%bf%81%e7%a7%bb/" title="ex2010迁移到ex2013；迁移；共存迁移">ex2010迁移到ex2013；迁移；共存迁移</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>EX2010与EX2013共存迁移01-设计及说明的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35wgaoM.html" rel="bookmark">EX2010与EX2013共存迁移03-Exchange 2013共存部署-分角色部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从这篇文章起我们进入Ex2010和2013共存和迁移阶段,首先开始实现Exchange2010和2013共存. 1.1共存的条件 1)Exchange2013 CU1版支持共存. 2)Exchange2010 SP3支持和Exchange2013 CU1共存. 1.2测试目标 1)Exchange2013采用分角色部署的形式,Exchange2013 CAS 1台.Exchange2013 Mailbox 2台. 2)将Exchange2013加入到现有的Exchange 2010组织中并实现共			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzLJYA3.html" rel="bookmark">EX2010与EX2013共存迁移05-公网切换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继上篇文章中的介绍,现在我们的项目已经完成Exchange 2010和2013共存搭建.Exchange 2013基本配置,但共存阶段还远远没有完成,大家千万别开始进行数据迁移,如有一丁点没有考虑到就会全盘皆输.注意.一定要注意细节. 1.1当前环境分析 1.当前的拓扑是这样的 2.当前的现状是这样的 1)公网记录都指向Exchange 2010,公网入站.出站邮件都经过Exchange 2010 Cas. 2)内.外部的客户端都连接Exchange2010. 3)用户邮箱存储在Exchange			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmmXOQM.html" rel="bookmark">EX2010与EX2013共存迁移02-EX2010环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本来不打算写Exchange 2010的搭建和配置了,但我想了一下既然有安装.配置截图了,那我就单独拿出一章节来做介绍吧,熟悉的朋友可以越过此章,不熟悉的朋友就当温故而知新吧. 1.1Exchange2010模拟环境的安装 如果Exchange 2010迁移到Exchange 2013,我们就的有Exchange 2010环境,之后才能做共存和数据迁移,那我们现在就来安装和配置Exchange 2010环境吧. 1.1.1     Exchange 2010环境拓扑 1.1.2     环境准备			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AAyea4.html" rel="bookmark">EX2010与EX2013共存迁移06-本地迁移</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写这篇文章时我们已经进入最后一章节,就是邮箱数据迁移,也有可能还会有其他章节,如:Exchange 2010卸载啊,总之要看大家反馈,到时候视情况而定. Exchange 2013邮箱迁移主要有三种方式: 1)本地:不同数据库之间邮箱迁移. 2)跨林:森林之间的邮箱迁移. 3)远程:在混合部署中的Exchange组织与Exchange Online或异构邮件系统之间的迁移. Exchange 2013迁移增加了一些新的特性 1)能大批量移动多个邮箱(默认20.最大100) 2)电子邮件通知移动完			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZNkdq3.html" rel="bookmark">EX2010与EX2013共存迁移04-Exchange 2013配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				共存实现后我们需要按套路进行往下走,首先我们再看一遍升级步骤图: 方案设计示意图: 步骤一完成.步骤二完成.接下来我们该完成步骤三了.其实步骤三就是实现客户端的共存,在实现客户端的共存之前我们需要先配置Exchange 2013,配置完成后再让Exchange 2013出公网 1.1测试目标 Exchange 2010和2013共存后,在Exchange2010上配置好的功能都会继承到2013上(所指Exchange组织配置.如:发送连接器),我们指需要按实验要求配置即可. 1.为Exchang			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLva5e3.html" rel="bookmark">ios app初始化和数据迁移的设计思路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				整体思路 一般app启动之后,都有一个初始化的过程. 此外兴许app升级,还须要考虑数据迁移.所以初始化和数据迁移的框架.在初期的版本号就要考虑好 总结一下我们的app採取的方案: 1.在持久化的文件夹内(比方UserDefaults或者Documents文件夹),用一个字段保存老版本 2.在開始初始化之前,读取老版本.以及当前版本 3.假设该应用是第一次载入,那么老版本就取不到(由于是初次载入,这个字段还没有保存),那么就能够运行初始化过程.假设取到了老版本.就不运行初始化 4.初始化完毕之后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVQR114.html" rel="bookmark">01设计原则--七大设计原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计原则 定义 使用频率 单一职责原则 一个类只负责一个功能领域中的相应职责 ★★★★ 开闭原则 软件实体应对扩展开放,而对修改关闭 ★★★★★ 里氏代换原则 所有引用基类对象的地方能够透明地使用其子类的对象 ★★★★★ 依赖倒转原则 抽象不应依赖于细节,细节应该依赖于抽象 ★★★★★ 接口隔离原则 使用多个专门的接口,而不使用单一的总接口 ★★ 合成复用原则 尽量使用对象组合,而不是继承来达到复用的目的 ★★★★ 迪米特法则 一个软件实体应当尽可能少地与其他实体发生相互作用 ★★★			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kYqrz4.html" rel="bookmark">01&period;设计模式分类及原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计模式是软件编程的经典,也是前人经过不断的经验总结的精华,它就好比如java软件编程中的葵花宝典.是对特点的问题及场景的最佳实践.学习设计模式有利于我们更加深入地了解编程的思想及精髓所在.     前人总结出来的设计模式共有23种,按照其应用可分为①创建型.②结构型.③行为型 三大类. 设计模式的六大原则: ①开闭原则.②里氏代换原则.③依赖倒转原则.④接口隔离原则.⑤最少知道原则.⑥合成复用原则 1.开闭原则(Open Close Principle) 开闭原则的意思是:对扩展开放,对修改关			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l7WyXM.html" rel="bookmark">45Exchange 2010升级到Exchange 2013-迁移邮箱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				19.升级到2013后迁移邮箱 19.1 在EX13上新建两个数据库 下面新增两个数据库,一个用于存放用户邮箱,一个用户存放系统邮箱 输入邮箱数据库名称,以及指定服务器和数据库路径 新增数据库后,一般会提示重新启动下Microsoft Exchange信息存储服务 建议我们在新增数据库的时候,首先不要装入,可以看到这里显示为已卸除的的状态 装入数据库 已装入 同样的方法创建一个用户邮箱数据库 19.2 移动系统邮箱到2013 在EX2010和EX2013共存期间,我们可以在事件中看到有很多的ID			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMg2oO4.html" rel="bookmark" class="title">在win10系统IIS下部署flask</a>
					<div>
						参考了众多资料教程  很多都是转载 复制 .并没有实践吧   反正我参照了做 发现吭很多 所以特此记录. 测试系统:win7-32   win10-64 开启IIS  方法略 下载:Microsoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rXjwM.html" rel="bookmark" class="title">一起单机的网络异常</a>
					<div>
						今天处理了一起单机的网络故障,具体经过如下: 一台笔记本出现无法正常点亮的情况,检查是主板损坏,为了不影响工作,于是把笔记本里的硬盘拆到另外一台笔记本里继续使用(两台笔记本品牌.型号不同).拆装的过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQwrl3.html" rel="bookmark" class="title">【kd-tree】bzoj2850 巧克力王国</a>
					<div>
						分四种情况讨论:a,b&gt;=0 a,b&lt;0 a&gt;=0,b&lt;0 a&lt;0,b&gt;=0 然后每次检验是否进入一个矩形框 或者 是否直接利用这个矩形框的答案 仅仅利用两个对角的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQqdj3.html" rel="bookmark" class="title">编程题</a>
					<div>
						找第三个最小的数 输入个数N(10) 输入 1,1,2,3,4,5,5,8,8,9 输出 3 如果不够3个数,输出-1 #include&lt;iostream&gt; #include&lt;alg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38ZeLWM.html" rel="bookmark" class="title">apk普通破解思路</a>
					<div>
						apk去除广告 1.在AndroidManifest.xml中找到,广告访问网站的标签声明,将他删除 2.重新打包,返回什么现象 3.搜索域名,'域名.' 4.将域名删除,或更改跳转 apk破解思路  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wvQV80.html" rel="bookmark" class="title">【转】让你快速上手Runtime</a>
					<div>
						一.runtime简介 RunTime简称运行时.OC就是运行时机制,也就是在运行时候的一些机制,其中最主要的是消息机制. 对于C语言,函数的调用在编译的时候会决定调用哪个函数. 对于OC的函数,属于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xREDD4.html" rel="bookmark" class="title">JavaScript实现淡入淡出</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;css动画&lt;/title&gt; &lt;/head&gt; &lt;b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDawGM.html" rel="bookmark" class="title">android 动画（3）属性动画</a>
					<div>
						属性动画 * 1.创建ValueAnimator 对象 设置开始位置和结束位置 * 2.设置监听事件(获取变化的值,将数值设置到控件中) * 3.设置时间 * 4.开始动画,调用start方法 属性动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLWNge4.html" rel="bookmark" class="title">uestc 方老师的分身 II</a>
					<div>
						题意:求s到t走过边数大于k的最短路 思路:邻接表实现,用w[u][e]来维护(看的大牛博客),u表示当前点,e表示已经经过多少条边.感觉有点类似DP. 在边数大于k的处理上,发现还是使之等于k(K& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWNNv4.html" rel="bookmark" class="title">【Unity Shaders】ShadowGun系列之二&mdash;&mdash;雾和体积光</a>
					<div>
						写在前面 体积光,这个名称是God Rays的中文翻译,感觉不是很形象.God Rays其实是Crepuscular rays在图形学中的说法,而Crepuscular rays的意思是云隙光.曙光. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vQyaj0.html" rel="bookmark" class="title">发布一个参考ssdb，用go实现的类似redis的高性能nosql：ledisdb</a>
					<div>
						起因 ledisdb是一个参考ssdb,采用go实现,底层基于leveldb,类似redis的高性能nosql数据库,提供了kv,list,hash以及zset数据结构的支持. 我们现在的应用极大的依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqNe9M.html" rel="bookmark" class="title">TwoSum &sol; Three Sum</a>
					<div>
						Let's begin with a naive method. We first need to sort the array A[n]. And we want to solve the prob ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZwmk4.html" rel="bookmark" class="title">myeclipes准备工作</a>
					<div>
						设置jsp中默认编码为utf-8 设置项目的编码为utf-8: 设置包的展示:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqpkX0.html" rel="bookmark" class="title">JAVA報表finereport二次開發的JS使用說明</a>
					<div>
						一.概述 隨著FineReport的發展,它提供的設計器和伺服器應該能夠滿足您絕大部分的需求,完全實現零編碼的軟體開發,革命性地加快軟體開發速度,提高軟體穩定性.但是需求是千變萬化的,而FineRep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9eGd4.html" rel="bookmark" class="title">bzoj4759 &lbrack;Usaco2017 Jan&rsqb;Balanced Photo</a>
					<div>
						传送门:http://www.lydsy.com/JudgeOnline/problem.php?id=4759 [题解] 排序,从大到小插入,树状数组统计. # include &lt;vector ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38p9pW3.html" rel="bookmark" class="title">oracle里面用sql做报表并带小计合计常用到的函数</a>
					<div>
						1-- DECODE函数是Oracle PL/SQL是功能强大的函数之一,目前还只有ORACLE公司的SQL提供了此函数,其他数据库厂商的SQL实现还没有此功能.DECODE有什么用途 呢? 先构造一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xBBoN4.html" rel="bookmark" class="title">PHPExcel说明</a>
					<div>
						PHPExcel说明 下面是总结的几个使用方法 include 'PHPExcel.php'; include 'PHPExcel/Writer/Excel2007.php'; //或者include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47e6G10.html" rel="bookmark" class="title">旧板与IO板之间的连接</a>
					<div>
						COM3(底板)——COM3(IO板) COM4(底板)——COM2(IO板) 如果需要改东西就是执行下列命令 最后进行拍照测试和IO测试					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBnGBZM.html" rel="bookmark" class="title">ios8 tableView设置滑动删除时 显示多个按钮</a>
					<div>
						** *  tableView:editActionsForRowAtIndexPath:     //设置滑动删除时显示多个按钮 *  UITableViewRowAction            ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3w5zBQM.html" rel="bookmark" class="title">目标跟踪之camshift---opencv中meanshift和camshift例子的应用</a>
					<div>
						在这一节中,主要讲目标跟踪的一个重要的算法Camshift,因为它是连续自使用的meanShift,所以这2个函数opencv中都有,且都很重要.为了让大家先达到一个感性认识.这节主要是看懂和运行op ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
